Prijeđi na sadržaj

Letovi

Fare rules and conditions of an offer.

get/v1/flights/offers/{offerId}/fare-rules

  • Zahtijeva autentifikaciju

Parametri

NazivMjestoTipOpis
offerId*putanjastring

Odgovori

200OKFareRulesResponse

  • offerIdstring
  • Rule[]
    • categorystringmože biti null
    • textstringmože biti null

Primjeri koda

Cjeloviti programi koji potpisuju zahtjev onako kako ga gateway provjerava. Zamijenite YOUR_KEY_ID i YOUR_SECRET.

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/flights/offers/fo_7Gk2Qp9LcKM5aGqrMQOIzJko/fare-rules\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X GET "https://api.dubaitrip.com/v1/flights/offers/fo_7Gk2Qp9LcKM5aGqrMQOIzJko/fare-rules" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Accept: application/json"